### Constructor

# Gio PropertyAction new

since: 2.38

#### Declaration [src]

    GPropertyAction*
    g_property_action_new (
      const gchar* name,
      GObject* object,
      const gchar* property_name
    )

#### Description [src]

Creates a `GAction` corresponding to the value of property `property_name` on `object`.

The property must be existent and readable and writable (and not construct-only).

This function takes a reference on `object` and doesn’t release it until the action is destroyed.

Available since: 2.38

#### Parameters

`name`

  Type: `const gchar*`

  The name of the action to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `GObject`

  The object that has the property to wrap.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  The name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GPropertyAction`

A new `GPropertyAction`.

The caller of the function takes ownership of the data, and is responsible for freeing it.